WITH time1 AS (
	SELECT generate_series('2009-01-01 00:00:00'::timestamp, '2009-01-01 23:59:59'::timestamp, '1 second') AS ts
), time2 AS (
	SELECT
		get_time_primary_key(ts) AS id,
		EXTRACT(HOUR FROM ts) AS hour,
		EXTRACT(MINUTE FROM ts) AS minute,
		EXTRACT(SECOND FROM ts) AS second
	FROM time1
), time3 AS (
	SELECT *,
		CASE 
			WHEN hour < 10 THEN '0' || hour
			ELSE hour::text
		END AS hour_long, 
		CASE 
			WHEN minute < 10 THEN '0' || minute
			ELSE minute::text
		END AS minute_long,
		CASE 
			WHEN second < 10 THEN '0' || second
			ELSE second::text
		END AS second_long, 
		hour < 13 AS is_am,
		hour >= 13 AS is_pm
	FROM time2
), time4 AS (
	SELECT *, 
		hour_long || ':' || minute_long || ':' || second_long,
	FROM time3
)
INSERT INTO time
	SELECT id, time_format, hour, minute, second, is_am, is_pm
	FROM time4;